commit: 6a2a897abb1786a7a2f3c13854d0677292da4e88
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 18 05:06:17 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep 18 06:21:20 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a2a897a
dev-python/psutil: Bump to 7.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/psutil/Manifest | 1 +
dev-python/psutil/psutil-7.1.0.ebuild | 92 +++++++++++++++++++++++++++++++++++
2 files changed, 93 insertions(+)
diff --git a/dev-python/psutil/Manifest b/dev-python/psutil/Manifest
index e4bc22f620c3..2b8088386ea6 100644
--- a/dev-python/psutil/Manifest
+++ b/dev-python/psutil/Manifest
@@ -1 +1,2 @@
DIST psutil-7.0.0.tar.gz 497003 BLAKE2B
d5bd3845f4a1a9852ea0136d43f3c4ef9534f08cde7acc3e7a02d7725e52a517882986cf48be241d51b001646b0550d8d7d964dd38ba15e6777d82c3605c34af
SHA512
83c17e5dd975bd403d8ece3bcfe021e5b845eb53260f8857999ebc6fdea8aca83e136b945aaa0b3974dc387191988c22fcdcab03effc8e943382989a106aeaf3
+DIST psutil-7.1.0.tar.gz 497660 BLAKE2B
77c6adb50d4c8191bc47d3511735e97fffefd02cb6bdd85e2c9ef5f3cd7b3eee439e959d968bac05d5a26bd7cd3b6833519e71aac960d4fe578b845b1aeb1453
SHA512
6bf0fdaa7c1241126f99041bdfde87c3fe834b8364e306eb72deebafcc272a135d64502e12157e1134ebf0353893dee906fa00517ca3d399e97ea486b238ee6c
diff --git a/dev-python/psutil/psutil-7.1.0.ebuild
b/dev-python/psutil/psutil-7.1.0.ebuild
new file mode 100644
index 000000000000..839925b7174b
--- /dev/null
+++ b/dev-python/psutil/psutil-7.1.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} python3_{13,14}t pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Retrieve information on running processes and system utilization"
+HOMEPAGE="
+ https://github.com/giampaolo/psutil/
+ https://pypi.org/project/psutil/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos
~x64-macos ~x64-solaris"
+
+EPYTEST_PLUGINS=( pytest-subtests )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hardcoded assumptions about the test environment
+
tests/test_linux.py::TestRootFsDeviceFinder::test_disk_partitions_mocked
+ tests/test_linux.py::TestSystemDiskPartitions::test_zfs_fs
+ tests/test_linux.py::TestSystemNetIfAddrs::test_ips
+ tests/test_posix.py::TestProcess::test_nice
+ tests/test_process.py::TestProcess::test_ionice_linux
+ tests/test_system.py::TestDiskAPIs::test_disk_partitions
+
+ # mocking is broken
+
tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_0
+
tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_not_avail
+ tests/test_linux.py::TestSensorsBattery::test_emulate_no_power
+
tests/test_linux.py::TestSensorsBattery::test_emulate_power_undetermined
+
+ # doesn't like sandbox injecting itself
+ tests/test_process.py::TestProcess::test_weird_environ
+
+ # extremely flaky
+
tests/test_linux.py::TestSystemVirtualMemoryAgainstFree::test_used
+
tests/test_linux.py::TestSystemVirtualMemoryAgainstVmstat::test_used
+
+ # nproc --all is broken?
+
tests/test_linux.py::TestSystemCPUCountLogical::test_against_nproc
+
+ # broken on some architectures
+ tests/test_linux.py::TestSystemCPUCountCores::test_method_2
+
tests/test_linux.py::TestSystemCPUCountLogical::test_emulate_fallbacks
+
tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_cpuinfo
+
tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_second_file
+ tests/test_system.py::TestCpuAPIs::test_cpu_freq
+ tests/test_system.py::TestCpuAPIs::test_cpu_times_comparison
+
+ # broken in some setups
+ tests/test_linux.py::TestMisc::test_issue_687
+ tests/test_linux.py::TestProcessAgainstStatus::test_cpu_affinity
+ tests/test_linux.py::TestSystemCPUStats::test_interrupts
+ tests/test_posix.py::TestProcess::test_cmdline
+ tests/test_posix.py::TestProcess::test_name
+ tests/test_posix.py::TestSystemAPIs::test_users
+ tests/test_process.py::TestProcess::test_memory_maps_lists_lib
+ tests/test_process.py::TestProcess::test_terminal
+ tests/test_unicode.py::TestFSAPIs::test_memory_maps
+
+ # fails on all AT containers
+ tests/test_system.py::TestMiscAPIs::test_users
+
+ # failing without /sys/class/power_supply?
+
tests/test_memleaks.py::TestModuleFunctionsLeaks::test_sensors_battery
+ tests/test_misc.py::TestMisc::test_serialization
+ )
+
+ # Since we are running in an environment a bit similar to CI,
+ # let's skip the tests that are disabled for CI
+ local -x TRAVIS=1
+ local -x APPVEYOR=1
+ local -x GITHUB_ACTIONS=1
+
+ rm -rf psutil || die
+ epytest --pyargs psutil -o addopts=
+}
+
+python_compile() {
+ # Force -j1 to avoid .o linking race conditions
+ local MAKEOPTS=-j1
+ distutils-r1_python_compile
+}